Subject: Re: bug#22984: 25.0.92; Typo in etc/DEBUG

From: [email-masked] (N. Jackson)
Date: Fri, 11 Mar 2016 15:06:40 -0400

At 20:39 +0200 on Friday 2016-03-11, Eli Zaretskii wrote:
>
>> From: [email-masked] (N. Jackson)
>> Cc: [email-masked]
>> Date: Fri, 11 Mar 2016 14:30:29 -0400
>> 
>>     This will suggest the default binary to debug; if you are going to
>>     start a new Emacs process, change it as needed to point to the
>>     correct binary.
>> 
>> I think the full meaning of this sentence only becomes clear after one
>> reads the following sentence:
>> 
>>     Alternatively, if you want to attach the debugger to an already
>>     running Emacs process...
>> 
>> The problems with the first sentence are "you", "new", and "it". Perhaps
>> it could be made slightly clearer?
>> 
>> Perhaps something along the lines of:
>> 
>>     This will suggest the default binary for GDB to start; if you want
>>     GDB to start a different binary, change the suggestion as needed.
>>     Alternatively, if you want to attach GDB to an already running Emacs
>>     process...
>
> No, this is a false dichotomy.  The real issue here is that, when you
> invoke GDB like that, the default binary it suggests is not emacs,
> it's something else.  Try it, and you will see.

Yes, when I accepted the default, (something like `prog 3' IIRC), GDB
then complained that it didn't exist.

Anyway, if this is not what the paragraph is trying to say, then I don't
know what is intending to say, which still suggests that it could
benefit from some clarification.

In particular:

- the noun that "it" seems to stand for is the "suggestion" but that
  noun never appears, so grammatically "it" must be referring to something
  else -- but what?;

- the "you are going to start" seems wrong; won't it be GDB that will
  start the process?;

- the "new process" in the second case suggests that there is not a new
  process being started in the first (default) case.

I hope I'm not being too nitpicky (nor too obtuse) here. Just seems to
me there is a bit of opportunity here for an improvement.

Regards,
N.